Retrieve an AWS account ID for credentials
Retrieves an AWS cloud account ID for the specified credentials. Use this to identify the account associated with your AWS credentials.
HTTP method and endpoint
POST /accounts/aws/validate-creds
|
|
This operation is deprecated. |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
accountName |
string |
False |
|
providerKeys |
True |
||
subscriptionId |
string |
False |
Example request
{
"accountName": "string",
"providerKeys": {
"assumeRoleArn": "string",
"awsAccessKeys": {
"accessKey": "string",
"secretKey": "string"
}
},
"subscriptionId": "string"
}
Error
Status: Default, Default response
Definitions
See Definitions
AwsAccessKeys
| Name | Type | Required | Description |
|---|---|---|---|
accessKey |
string |
True |
|
secretKey |
string |
False |
AwsKeysRequest
| Name | Type | Required | Description |
|---|---|---|---|
assumeRoleArn |
string |
False |
|
awsAccessKeys |
False |